@page CHANGES-UNRELEASED Unreleased changes

This page contains changes that will end up in 2.6

- Asmjit is now embedded into PLUMED. In order to enable it, it is sufficient to configure with `--enable-asmjit`. See \ref Lepton "this page".

- New contributed modules:
  - A new Maze module by Jakub Rydzewski
     - \ref MAZE_LOSS
     - \ref MAZE_MEMETIC_SAMPLING
     - \ref MAZE_RANDOM_ACCELERATION_MD
     - \ref MAZE_RANDOM_WALK
     - \ref MAZE_SIMULATED_ANNEALING
     - \ref MAZE_STEERED_MD
     - \ref MAZE_OPTIMIZER_BIAS

- Changes in the VES module
  - new \ref VES_DELTA_F bias

- Changes in the DRR module
  - The MAXFACTOR option now is tunable for each CV in multidimensional cases.
  - Output .zcount file (the same as .czar.count) for compatibility with newer abf_integrate.
  - The citation of DRR module has been updated.

- Changes in the ISDB module
  - in \ref METAINFERENCE we removed the MC_STRIDE keyword
  - in \ref METAINFERENCE the bias value (metainference score) now includes the jeffrey prior (values are different, but forces are equal)


- Fixed grids so as to decrease memory footprint of derivatives (see \issue{465}).

- Added option `--idlp4` to \ref driver to read DLPOLY4 HISTORY files (see \issue{478}, thanks to Alin Marin Elena).

- Added atom selectors using mdtraj/MDAnalysis/VMD syntax, see \ref MOLINFO and \issue{448}.
  

